#!BuildIgnore:          post-build-checks
%define pkgname	nagios-plugins
Name:		nagios-plugins
Version:	2.2.1
Release:	41.3
Summary:	Host/service/network monitoring program plugins for Nagios

Group:		Applications/System
License:	GPL
URL:		https://www.nagios-plugins.org/
Source0:	%{pkgname}-%{version}.tar.bz2
Source1:	%{name}-rpmlintrc
#Patch100:	nagios-plugins_DISABLE-SMARTENABLE.patch
Patch200:	revert-check_mailq-autodetect-2.2.1.diff
#Patch201:	nagios-plugins-2.0.2_dnsfix.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Prefix: %{_prefix}/lib/nagios/plugins
PreReq:	sed
Provides:	monitoring-plugins-%{version}-%{release}

%{!?custom:%global custom 0}
Obsoletes: nagios-plugins-custom nagios-plugins-extras
Provides:  nagios-plugins-custom nagios-plugins-extras

# Requires
%if 0%{?sles_version} > 0
BuildRequires:	mysql-client
%endif

%if 0%{?suse_version} == 1030
BuildRequires: freeradius-client freeradius-client-devel
%endif

%if 0%{?suse_version}
%if 0%{?suse_version} > 1310
BuildRequires:  libsmbclient0
%else
BuildRequires:	libsmbclient qstat
%endif
BuildRequires:	tcpd-devel libsmbclient-devel openldap2-devel perl-Net-SNMP fping glibc bind-utils
%if 0%{?suse_version} > 1030
BuildRequires:	freeradius-client-devel freeradius-server-devel
%else
BuildRequires:  freeradius-devel
%endif
%endif



%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version} || 0%{?redhat_version} || 0%{?sl_version}
%if 0%{?rhel} == 8
BuildRequires:	openldap-devel freeradius samba-common openldap-devel glibc-common qstat
%else
BuildRequires:  tcp_wrappers openldap-devel freeradius samba-common openldap-devel net-snmp-perl glibc-common qstat
%endif
%endif


# fping is in EPEL for EL
BuildRequires: openssl-devel postgresql-devel mysql-devel zlib-devel glibc-devel gcc gcc-c++ net-snmp net-snmp-devel openssh iputils samba-client procps fping 

%if 0%{?suse_version} <= 1310
Requires: iputils qstat
%else
Requires: iputils
%endif

%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version} || 0%{?redhat_version} || 0%{?sl_version}
Requires: /usr/bin/smbclient
%else
Requires: samba-client
%endif



%description
Nagios is a program that will monitor hosts and services on your
network, and to email or page you when a problem arises or is
resolved. Nagios runs on a unix server as a background or daemon
process, intermittently running checks on various services that you
specify. The actual service checks are performed by separate "plugin"
programs which return the status of the checks to Nagios. This package
contains those plugins.


%prep
%setup -q -n %{pkgname}-%{version}
##%patch100
%patch200 -p1
##%patch201 -p1

%build
./configure \
--prefix=%{_prefix} \
--exec-prefix=%{_prefix} \
--libexecdir=%{_prefix}/lib/nagios/plugins \
--sysconfdir=%{_sysconfdir}/nagios \
--datadir=%{_datadir} \
--with-perl=/usr/bin/perl \
%if 0%{?centos_version} >= 700 || 0%{?rhel_version} >= 700 || 0%{?rhel} >= 7 || 0%{?sl_version} >= 700
--with-ping-command="/bin/ping -n -U -w %d -c %d %s" \
%endif
--with-ping6-command="/bin/ping6 -n -U -w %d -c %d %s" \
--with-fping-command=%{_sbindir}/fping \
--with-fping6-command=%{_sbindir}/fping6 \
--with-ipv6 \
--with-cgiurl=/nagios/cgi-bin \
--with-rpcinfo-command=%{_sbindir}/rpcinfo \
--with-mailq-command=%{_bindir}/mailq \
--with-qstat-command=/var/qmail/bin/qmail-qstat
%__make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%__make AM_INSTALL_PROGRAM_FLAGS="" DESTDIR=${RPM_BUILD_ROOT} install-strip
%__make AM_INSTALL_PROGRAM_FLAGS="" DESTDIR=${RPM_BUILD_ROOT} install-root
%__install -d ${RPM_BUILD_ROOT}/etc/nagios
##__install -m 664 command.cfg ${RPM_BUILD_ROOT}/etc/nagios
##%find_lang %{name}
# fix lib path in perl plugins
cd ${RPM_BUILD_ROOT}%{_prefix}/lib/nagios/plugins
# set qmail-qstat if not found
# fix lib path in perl plugins
cd ${RPM_BUILD_ROOT}%{_prefix}/lib/nagios/plugins
# set qmail-qstat if not found
sed -i s@'$PATH_TO_QMAIL_QSTAT = "";'@'$PATH_TO_QMAIL_QSTAT = "/var/qmail/bin/qmail-qstat";'@ %{buildroot}%{_prefix}/lib/nagios/plugins/utils.pm
sed -i s@"{'PATH'}='';"@"{'PATH'}='/usr/bin:/usr/sbin';"@ %{buildroot}%{_prefix}/lib/nagios/plugins/check_mailq 

%clean
rm -rf $RPM_BUILD_ROOT

%post
chmod 4711 %{_exec_prefix}/lib/nagios/plugins/check_icmp || :
chmod 4711 %{_exec_prefix}/lib/nagios/plugins/check_dhcp || :

##%files -f %{name}.lang
%files
%defattr(-,root,root)
##config(missingok,noreplace) /etc/nagios/command.cfg
%doc CODING COPYING FAQ README REQUIREMENTS SUPPORT THANKS
%doc ChangeLog
%defattr(775,root,root)
%dir %{_exec_prefix}/lib/nagios/plugins
%{_datadir}/locale/de/LC_MESSAGES/%{pkgname}.mo
%{_datadir}/locale/fr/LC_MESSAGES/%{pkgname}.mo
%{_exec_prefix}/lib/nagios/plugins

%changelog
* Fri Jun 30 2017 cs@linux-administrator.com
- update to release 2.2.1
* Thu Dec 22 2016 cs@linux-administrator.com
- update to release 2.2
* Mon May 23 2016 cs@linux-administrator.com
- update to release 2.1.2
* Thu Apr  9 2015 cs@linux-administrator.com
- update to release 2.1.1
- set perl path during configure
* Sat Nov 22 2014 cs@linux-administrator.com
- update to release 2.1
- add new provides for package monitoring-plugins (project name change)
- add buildrequires for fping plugin
- add buildrequires for radius plugin
* Tue Jun 24 2014 cs@linux-administrator.com
- backport DNS fixes from master
  (nagios-plugins-2.0.2_dnsfix.patch)
* Tue Jun 24 2014 cs@linux-administrator.com
- fix check_mailq by reverting autodetection patches
  (revert-check_mailq-autodetect.diff)
* Mon Jun 23 2014 cs@linux-administrator.com
- update to release 2.0.2
* Fri Oct  4 2013 cs@linux-administrator.com
- update to release 1.5
